import javax.microedition.lcdui.*;

public class DictionaryPracticeKey extends Form  implements CommandListener {
  private static final Command mySelectCommand = new Command(Localizer.getMessageItem("show"),  Command.OK, 0);
  private static final Command quitCommand = new Command(Localizer.getMessageItem("bck"), Command.EXIT, 1);
  private StringItem keyStr;
  private Display display;
  private Dictionary dict;
  private SearchResult sr;
  private DictionarySelect ds;

  public DictionaryPracticeKey(Dictionary dict,DictionarySelect ds) {
    super(Localizer.getMessageItem("prc"));
    String sKey=null;
    String sResult=null;
    this.dict=dict;
    sr=dict.getRandomKeyResult();
    this.sr=sr;
    addCommand(quitCommand);
    System.out.println("add quit command");
    addCommand(mySelectCommand);
    System.out.println("add select command");
    keyStr=new StringItem("",sr.sKey);
    this.append(keyStr);
    this.ds=ds;
  }


  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    //introCanvas = go_back;
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }


  public void commandAction(Command command, Displayable displayable)
  {
    if ( command == mySelectCommand ) {
        System.out.println("callign init");
        DictionaryPracticeResult dpr=new DictionaryPracticeResult(this.dict,this.sr,ds);
        dpr.shows(display,null);
    }
    if ( command == quitCommand ) {
        ds.shows();
        System.out.println("should be exitting");
    }
  }

}