import javax.microedition.lcdui.*;
public class DictionaryPracticeResult extends Form  implements CommandListener {
  private static final Command mySelectCommand = new Command(Localizer.getMessageItem("next"),  Command.OK, 0);
  private static final Command quitCommand = new Command(Localizer.getMessageItem("bck"), Command.EXIT, 1);
  private StringItem resultStr;
  private DictionarySelect ds;

  Dictionary dict;
  SearchResult sr;
  Display display;

  public DictionaryPracticeResult(Dictionary dict,SearchResult sr,DictionarySelect ds) {
    super(Localizer.getMessageItem("prc"));
    this.dict=dict;
    this.sr=sr;
    this.ds=ds;
    addCommand(quitCommand);
    System.out.println("add quit command");
    addCommand(mySelectCommand);
    System.out.println("add select command");
    System.out.println(sr.sResult);
    resultStr=new StringItem("",sr.sResult);
    this.append(resultStr);
    setCommandListener(this);
  }


  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    //introCanvas = go_back;
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }


  public void commandAction(Command command, Displayable displayable)
  {
    if ( command == mySelectCommand ) {
        DictionaryPracticeKey dp=new DictionaryPracticeKey(this.dict,ds);
        dp.shows(display,null);
    }
    if ( command == quitCommand ) {
        System.out.println("should be exitting");
        ds.shows();
    }
  }

}