import javax.microedition.lcdui.*;
import com.siemens.mp.io.File;
public class SearchResultView extends Form implements CommandListener, Backable {
private static final Command quitCommand = new Command(Localizer.getMessageItem("bck"), Command.EXIT, 2);
private StringItem strItem;
SearchResult searchResult;
private Backable previousElement;
private Display display;
private Dictionary dict;

  public SearchResultView(SearchResult searchResult,Dictionary dict) {
    super(Localizer.getMessageItem("result"));
    this.searchResult=searchResult;
    this.dict=dict;
    System.out.println("initing result view");
    initResultView();
  }

  private void initResultView() {
    byte strBuf[]=new byte[500];
    addCommand(quitCommand);
    try {
    File dictFile=dict.myFile;
    dictFile.seek(dict.dictStream.fileDesc,searchResult.index);
    dict.dictStream.readLineBytes(strBuf);
    strItem=new StringItem("",dict.translateOutput(new String(strBuf)));
    append(strItem);
    }
    catch (java.io.IOException ioe)
      {
      Alert a=new Alert("Problem with opening the dictionary file!");
      display.setCurrent(a);
      }
  }

  public void commandAction(Command command, Displayable displayable)
  {
    if ( command == quitCommand ) {
       previousElement.shows();
       }
  }


  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    previousElement = go_back;
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }

}