import javax.microedition.lcdui.*;
import java.io.*;
import java.util.Hashtable;
import java.util.Vector;

public class SearchResults extends List implements CommandListener,Backable {
  private static final Command mySelectCommand = new Command(Localizer.getMessageItem("show"), Command.OK, 0);
  private static final Command quitCommand = new Command(Localizer.getMessageItem("bck"), Command.BACK,1);
  private Backable previousElement;
  private Display display;
  Vector results;
  Dictionary dict;
  SearchResultView sRV;

  SearchResults sr=this;

  public SearchResults(Vector results,Dictionary dict) {
    super(Localizer.getMessageItem("results"), List.IMPLICIT);
    this.results=results;
    this.dict=dict;
    initSearchResults();
  }

  private void initSearchResults() {
    for (int i=0;i<results.size();i++) {
      // here i will take an SearchResult type to display.
      // Integer resInt=(Integer) results.elementAt(i);
      SearchResult sr=(SearchResult) results.elementAt(i);
      this.append(sr.sAbstract,null);
    }
    addCommand(quitCommand);
    addCommand(mySelectCommand);
    removeCommand ( List.SELECT_COMMAND );
    setCommandListener(this);
    System.out.println("init searchresult");
  }

  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    previousElement = go_back;
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }

  public void commandAction(Command command, Displayable displayable) {
  int index = getSelectedIndex();

    if ( command == quitCommand ) {
       // previousElement.shows(display,this);
       previousElement.shows();
       } else if ( command == mySelectCommand ) {
        System.out.println(this.results.elementAt(index));
        // Here I will show the result in a new window!
      	// eentry.shows(display, dd);
        System.out.println("Selected");
        sRV=new SearchResultView((SearchResult)this.results.elementAt(index),dict);

        sRV.shows(display,this);

       }
  }

} //class