import java.io.InputStream;
import java.io.IOException;
import com.siemens.mp.io.*;

public class SiemensFileInputStream extends InputStream {
File sFile;
public int fileDesc;
int streamPos;
byte readBytes[]={0};

public SiemensFileInputStream(String fileName,File sFile) throws IOException {
  super();
  this.sFile=sFile;
  this.fileDesc=sFile.open(fileName);
  streamPos=0;
}

public int read() throws IOException {
  int bytesRead=sFile.read(fileDesc,readBytes,0,1);
  if (bytesRead==0) {throw new IOException("can't read");}
  if (bytesRead!=1) {
    return -1;
    }
    else {
    streamPos++;
    if (readBytes[0]>=0) {
      return readBytes[0]; }
      else {
      return 255+readBytes[0]+1;
      }
    }
}

public int read(byte[] b,int off,int len) throws IOException {
 int bytesRead=sFile.read(fileDesc,b,off,len);
 if (bytesRead!=1) {
  return -1;
  }
  else {
  streamPos=streamPos+bytesRead;
  return bytesRead;
  }
}

public int readLineBytes(byte[] buffer) throws IOException {
  sFile.read(fileDesc,buffer,0,buffer.length);
  for (int i=0;i<500;i++) {
    if (buffer[i]==13) {
      return i;
    }
  }
  return 500;
}


public long skip(long n) throws IOException {
  streamPos=sFile.seek(fileDesc,streamPos+(int) n);
  return n;
}

public void close() throws IOException {
 sFile.close(fileDesc);
}

public boolean markSupported() {
  return false;
}

}