import javax.microedition.lcdui.*;
import java.io.*;
import java.util.Hashtable;
import java.util.Vector;

public class DictionarySelect extends List implements CommandListener,Backable {
  private static final Command myPracticeCommand = new Command(Localizer.getMessageItem("prc"),  Command.SCREEN, 0);
  private static final Command quitCommand = new Command(Localizer.getMessageItem("bck"), Command.BACK, 1);
  private Backable introCanvas;
  private Display display;
  private Vector DictionaryConfigs;
  EnglishEntry eentry;
  DictionarySelect dd=this;

  public DictionarySelect() {
    super(Localizer.getMessageItem("dicts"), List.IMPLICIT);
    // imaj yklemeye alrsak try blokunu a!!!!! try {
    // append("hede dict", Image.createImage("res\\icon1.png"));
    // append("hd dict", Image.createImage("res\\icon2.png"));
    // append("hede hd dict", Image.createImage("res\\icon1.png"));
    DictionaryConfigs=DictionaryConfigReader.readDictionaryConfigurations("inek.ini");
    for (int i=0;i<DictionaryConfigs.size();i++) {
      Hashtable h=(Hashtable) DictionaryConfigs.elementAt(i);
      append((String) h.get("name"),null);
    }
    eentry=new EnglishEntry();
    // } catch (java.io.IOException ioe) {System.out.println(ioe);}
    addCommand(quitCommand);
    System.out.println("add quit command");
    //addCommand(mySelectCommand);
    addCommand(myPracticeCommand);
    System.out.println("add select command");
    //removeCommand ( List.SELECT_COMMAND );
    // setCommandListener(this);
    System.out.println("set command listener");
    System.out.println("init select");
  }

  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    introCanvas = go_back;
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }

  public void commandAction(Command command, Displayable displayable)
  {
  int index = getSelectedIndex();

    if ( command == myPracticeCommand ) {
      /*
      Alert a=new Alert("Info:","You will be shown random words from the dictionary",null,AlertType.WARNING);
      a.setTimeout(Alert.FOREVER);
      display.setCurrent(a);
	*/



        Hashtable currentDictConfig=(Hashtable) this.DictionaryConfigs.elementAt(index);
        System.out.println("got config");
        Dictionary dfp=new Dictionary((String) currentDictConfig.get("idx"),
        (String) currentDictConfig.get("key"),
        (String) currentDictConfig.get("dict"),
        (Hashtable) currentDictConfig.get("inputmap"),
        (Hashtable) currentDictConfig.get("outputmap"));

        DictionaryPracticeKey dp=new DictionaryPracticeKey(dfp,this);
        dp.shows(display,null);
        //display.setCurrent(dp);
    }
    if ( command == quitCommand ) {
       introCanvas.shows(display,this);
       System.out.println("Quitting");
       }

    if (command==List.SELECT_COMMAND) {
        // eentry.dictionaryConfig=(Hashtable) this.DictionaryConfigs.elementAt(index);
        Hashtable currentDictConfig=(Hashtable) this.DictionaryConfigs.elementAt(index);
        System.out.println("got config");
        Dictionary d=new Dictionary((String) currentDictConfig.get("idx"),
        (String) currentDictConfig.get("key"),
        (String) currentDictConfig.get("dict"),
        (Hashtable) currentDictConfig.get("inputmap"),
        (Hashtable) currentDictConfig.get("outputmap"));

        System.out.println("created dict");
        currentDictConfig.put(new String("dictionary"),d);
        System.out.println("put into config");
        eentry.setDictionaryConfig((Hashtable) this.DictionaryConfigs.elementAt(index));
        System.out.println("set entry config");
      	eentry.shows(display, this);
        System.out.println("Selected");
    }
  }

} //class