import java.util.*;
import javax.microedition.lcdui.TextField; 
import java.io.IOException;
import java.io.DataInputStream;
import java.io.ByteArrayInputStream;
//import java.io.UnsupportedEncodingException;
import com.siemens.mp.io.*;

public class EnglishDictionary {
// throws FileNotFoundException,IOException
public static Vector search(String indexFile,String keyFile,String dictFile,String searchKey,TextField reveal){
  boolean found=false;
  int nodePointer;
  int fileLength;
  byte nodeHeader[]={0,0};
  byte nodePointerBuffer[]={0,0,0,0};
  int nodePointerV=0;
  int nodePointerVB;
  int compareVal;
  byte nodeKey[];
  boolean outLoop=false;
  int cc=0;
  int indexNode;
  int oldIndexNode;
  int skipBytes;
  int bytesRead=0;
  String s;
  File myFile=null;
  // int keyStream=0 , dictStream=0;
  SiemensFileInputStream indexStream=null;
  DataInputStream dIndexStream=null;
  SiemensFileInputStream keyStream=null;
  DataInputStream dKeyStream=null;
  SiemensFileInputStream dictStream=null;
  DataInputStream dDictStream=null;

  /* Only one instance of the file object should be created
     the other ones should be assigned to int file descriptors
     with a call to open */
  try {
  myFile=new File();
  indexStream=new SiemensFileInputStream(indexFile,myFile);
  dIndexStream=new DataInputStream(indexStream);
  keyStream=new SiemensFileInputStream(keyFile,myFile);
  dKeyStream=new DataInputStream(keyStream);
  dictStream=new SiemensFileInputStream(dictFile,myFile);
  dDictStream=new DataInputStream(dictStream);
  } catch (java.io.IOException ioe) { System.out.println(ioe);System.exit(1); }

  indexNode=1;


  try {
    while (!outLoop) {
      cc++;
      /***************/
      // ->myFile.read(indexStream,nodePointerBuffer,0,4);
      // ->nodePointerV=getIntFromBytes(nodePointerBuffer);
      nodePointerV=dIndexStream.readInt();
      // System.out.println("moving to " + nodePointerV + " in keyStream");
      // ->nodePointerV=dsi.readInt(); // integer read
      myFile.seek(keyStream.fileDesc,nodePointerV); // seek operation
      /***************/
      myFile.read(keyStream.fileDesc,nodeHeader,0,2);
      //System.out.println("length=" + nodeHeader[0] + " results=" + nodeHeader[1]);
      // - >keyStream.read(nodeHeader);bytesRead=2; // byte array read
      nodeKey=new byte[(int) nodeHeader[0]];bytesRead+=(int) nodeHeader[0];
      /***************/
      myFile.read(keyStream.fileDesc,nodeKey,0,nodeKey.length);
      // - >keyStream.read(nodeKey); // byte array read
      s=new String(nodeKey);
      reveal.setString(s);
      System.out.println("key is " + s);
      compareVal=searchKey.compareTo(s);

      if (cc>20) { outLoop=true;}

      if (compareVal>0) {
        oldIndexNode=indexNode;
        indexNode=indexNode*2+1;
        //System.out.println("right seeking to " + (indexNode*4-4) + " in indexStream");
        myFile.seek(indexStream.fileDesc,indexNode*4-4); // seek operation
        // go right
      } else if (compareVal!=0) {// go left if not equal
        // go left
        oldIndexNode=indexNode;
        indexNode=indexNode*2;
        //indexStream.skip((indexNode-oldIndexNode)*4-4);
        //System.out.println("left seeking to " + (indexNode*4-4) + " in indexStream");
        myFile.seek(indexStream.fileDesc,indexNode*4-4);
        } else {
        // we found the item
        //System.out.println("found");
        found=true;
        outLoop=true;
        }

      }

      // } catch ( EOFException e) { found=false; }


  if (found) {
    byte strBuf[]=new byte[150];
    Vector a=new Vector();
    int seekPoint;
    System.out.println("will iterate the list");
    for (int kk=0;kk<nodeHeader[1];kk++)
      {
      // ->myFile.read(keyStream,nodePointerBuffer,0,4);
      // seekPoint=getIntFromBytes(nodePointerBuffer);
      seekPoint=dKeyStream.readInt();
      //System.out.println("\nline at location : " + seekPoint);
      myFile.seek(dictStream.fileDesc,seekPoint);
      //System.out.println("reading line bytes");
      dictStream.readLineBytes(strBuf);
      //System.out.println("line bytes read");      
      a.addElement(new String(strBuf));
      // a.addElement(new Integer(seekPoint));
      // seekPoint=keyStream.readInt();
      // dictStream.seek(seekPoint);
      // a.add(dictStream.readLine());
      }
      return a;
  }  else {
    return null;
  }
  
 } catch ( IOException e) { e.printStackTrace();System.out.println("error during file operation");found=false; }

return null;

 }












  public static void getBytesForInteger(Integer intToConvert,byte[] b,int sIndex) {
  getBytesForInt(intToConvert.intValue(),b,sIndex);
  }

  public static void getBytesForInt(int intToConvertV,byte[] b,int sIndex) {
    b[sIndex  ]=(byte) ((intToConvertV & 0xff000000)>>24);
    b[sIndex+1]=(byte) ((intToConvertV & 0x00ff0000)>>16);
    b[sIndex+2]=(byte) ((intToConvertV & 0x0000ff00)>>8);
    b[sIndex+3]=(byte)  (intToConvertV & 0x000000ff);
  }

  /*
  public static int getIntFromBytes(byte[] b) {
  int intVal;
  intVal= ( ((int) b[0])<<24 ) | ( ((int) b[1])<<16 ) | ( ((int) b[2])<<8 ) | ( (int) b[3] );
  return intVal;
  }
  */

  public static int getIntFromBytes(byte[] b) {
  int intVal;
  intVal= ( ((int) b[0])<<24 ) | ( ((int) b[1])<<16 ) | ( ((int) b[2])<<8 ) | ( b[3] );
  return intVal;
  }




}
