import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class Options extends Form  implements CommandListener,Backable {
  Display display;
  Backable introCanvas;
  private static final ChoiceGroup cg=new ChoiceGroup(Localizer.getMessageItem("langchoice"),Choice.EXCLUSIVE,Localizer.languageList,null);
  private static final Command cmdBack = new Command(Localizer.getMessageItem("bck"), Command.BACK, 1);
  private static final Command cmdSend = new Command(Localizer.getMessageItem("save"), Command.OK, 0);
  private Turkces app;
  public Options() {
    super(Localizer.getMessageItem("opt"));
    // super(Localizer.getMessageItem("opt"));
    System.out.println("creating options");
    addCommand(cmdBack);
    addCommand(cmdSend);
    cg.setSelectedIndex(Localizer.getCurrentLanguageIndex(),true);
    append(cg);
    System.out.println("options created");
  }


  public void setApp(Turkces application) {
    this.app=application;
  }
  public void shows(Display disp, Backable go_back)
  {
    display = disp;
    introCanvas = go_back;
    System.out.println("setting intro canvas");
      if (introCanvas==null)
      {System.out.println("introcanvas is null"); }
      else
      {System.out.println("introcanvas is not null"); }
    shows();
  }

  public void shows()
  {
    display.setCurrent(this);
    setCommandListener(this);
  }


  public void commandAction(Command command, Displayable displayable)
  {
  int index = cg.getSelectedIndex();
   if (command == cmdBack)
   {
     // introCanvas.shows(display,this); killing back stuff
     // System.out.println("back we are going");
     introCanvas.shows();
   }
   if (command == cmdSend)
   {
    System.out.println("selected index is : " + index);
    System.out.println("Record we are doing");
    Localizer.setCurrentLanguage(Localizer.languageIdentifiers[index]);

    Alert a=new Alert("",Localizer.getMessageItem("restart"),null,AlertType.INFO);
    a.setTimeout(Alert.FOREVER);
    display.setCurrent(a);
   }
  }

}