import java.util.Hashtable;

public class StringTokenizer {
String str;
String delim; // we can use char too , let's see
int strIndex;

    public static void main(String[] args) {
      parseLine("Ingilizce - Turkce,idx.uni,key.uni,sozluk.txt||");
    }

  public StringTokenizer(String str, String delim) {
   // We have a string and a delimiter passed for
   // the constructor of this class , so we should
   // first assign them to class variables.
   this.str=str;
   this.delim=delim;
   this.strIndex=0;
   // that's all for the constructor.
  }

  // here we have the vital method nextToken which returns the
  // next token delimited with the char passed to the constructor.

  public String nextToken() {
  // so what we should be doing is to keep an index in the
  // string provided in the constructor... and return the
  // string that is between that index and the coming delimiter
  // or the special end of string condition
  // hey yavrum hey.
  int lastIndex=str.indexOf(delim,strIndex);
  int tempStrIndex;
  tempStrIndex=strIndex;
  // System.out.println("index is :" + lastIndex);
  if (lastIndex>=0) {
    strIndex=lastIndex+1;
    return str.substring(tempStrIndex,lastIndex);
    } else {
      if (strIndex<str.length()) {
        strIndex=str.length();
        return str.substring(tempStrIndex,str.length());
        } else {
          return null;
          }
    }


    }

  static Hashtable parseLine(String lineStr) {
    Hashtable h=new Hashtable();
    StringTokenizer sParts=new StringTokenizer(lineStr,"|");
    StringTokenizer sFiles=new StringTokenizer(sParts.nextToken().trim(),",");

    //--------- Parse the filenames -------------------
    h.put(new String("name"), sFiles.nextToken().trim());
    //System.out.println(h.get("name"));
    h.put(new String("idx"), sFiles.nextToken().trim());
    //System.out.println(h.get("idx"));
    h.put(new String("key"), sFiles.nextToken().trim());
    //System.out.println(h.get("key"));
    h.put(new String("dict"), sFiles.nextToken().trim());
    //System.out.println(h.get("dict"));
    System.out.println(h);

    //--------- Parsing of Mapping-------------------------- 
    String s1,s2;
    //--------- Parse the input mappings -------------------
    String inputStr=sParts.nextToken();
    if (inputStr!=null) {
      StringTokenizer sInput=new StringTokenizer(inputStr.trim(),",");
      Hashtable inputMap=new Hashtable();
      s1=sInput.nextToken();
      s2=sInput.nextToken();
      while (s1!=null) {
        inputMap.put(s1,s2);
        System.out.println("mapping input " + s1 + " to " +s2);
        s1=sInput.nextToken();
        s2=sInput.nextToken();
      }
      h.put(new String("inputmap"),inputMap);
    }

    //--------- Parse the output mappings -------------------
    String outputStr=sParts.nextToken();
    if (outputStr!=null) {
      StringTokenizer sOutput=new StringTokenizer(outputStr.trim(),",");
      Hashtable outputMap=new Hashtable();
      s1=sOutput.nextToken();
      s2=sOutput.nextToken();
      while (s1!=null) {
        outputMap.put(s1,s2);
        System.out.println("mapping output " + s1 + " to " +s2);
        s1=sOutput.nextToken();
        s2=sOutput.nextToken();
      }
      h.put(new String("outputmap"),outputMap);
    }
    return h;
  }



}
