import java.io.*;
import java.lang.*;
import java.util.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class Turkces extends MIDlet implements CommandListener
{
   static {
    Localizer.setCurrentLanguage();   
   }

   Display display;
   static Turkces turkces;
   KaneCanvas canvas ;
   static final String EXIT_COMMAND_LABEL = Localizer.getMessageItem("exit");
   static final String AGAIN_COMMAND_LABEL = Localizer.getMessageItem("dicts");
   static final String OPT_COMMAND_LABEL = Localizer.getMessageItem("opt");
   static final String ABOUT_COMMAND_LABEL = Localizer.getMessageItem("about");
   // EnglishEntry hedit;
   DictionarySelect hedit;
   Options optionScreen;

   public void restartApp() {
    this.destroyApp(false);
    this.resumeRequest();
   }

   protected void destroyApp (boolean b)
   {
      display.setCurrent(null);
      this.notifyDestroyed();       // notify KVM
   }

   protected void pauseApp ()
   { }

   protected void startApp ()
   {
      // HelloCanvas canvas = new HelloCanvas();
      canvas = new KaneCanvas();
      // hedit = new EnglishEntry();
      try {
      hedit=new DictionarySelect();
      System.out.println("hey hey");
      optionScreen=new Options();
      } catch(Exception e) {System.out.println(e);}
      //hellojapanese=new japanese();

      display = Display.getDisplay(this);
      Command againCommand = new Command(AGAIN_COMMAND_LABEL, Command.SCREEN, 0);
      Command exitCommand  = new Command(EXIT_COMMAND_LABEL , Command.BACK, 0);
      Command optCommand  = new Command(OPT_COMMAND_LABEL , Command.SCREEN, 2);
      Command aboutCommand  = new Command(ABOUT_COMMAND_LABEL , Command.SCREEN, 3);
      canvas.addCommand(againCommand);
      canvas.addCommand(exitCommand);
      canvas.addCommand(optCommand);
      canvas.addCommand(aboutCommand);
      /*
      canvas.setCommandListener(this);
      display.setCurrent(canvas);
      */
      System.out.println("setting the canvas");
      canvas.shows(display,null);
      canvas.setCommandListener(this);
   }


   public void commandAction (Command c, Displayable d)
   {
       String label = c.getLabel();
       if (label == EXIT_COMMAND_LABEL ) {
        destroyApp(false);
       } else if (label == AGAIN_COMMAND_LABEL ) {
      	hedit.shows(display, canvas);
       } else if (label == OPT_COMMAND_LABEL) {
        optionScreen.setApp(this);
        optionScreen.shows(display,canvas);
        System.out.println("opt screen");
       } else if (label == ABOUT_COMMAND_LABEL) {
          Alert a=new Alert(Localizer.getMessageItem("about"),"inek v1.0\ncopyleft\nNejat Dilek \nI.R.on of Irduco\niron@tepetaklak.com",null,AlertType.INFO);
          a.setTimeout(Alert.FOREVER);
          display.setCurrent(a);
       }
   }

}


